Claim accrued rewardsAsk AIpost https://api.fireblocks.io/v1/staking/chains/{chainDescriptor}/claim_rewardsClaims available staking rewards for the specified chain and vault. Supported chains: Solana and Polygon (Matic). Behavior depends on protocol reward distribution.Path ParamschainDescriptorstringenumrequiredProtocol identifier for the claim rewards staking operation (e.g., MATIC/SOL).SOLSOL_TESTMATICAllowed:SOLSOL_TESTMATICBody Paramsidstringrequiredid of position to withdraw rewards fromfeestringRepresents the fee for a transaction, which can be specified as a percentage value. Only one of fee/feeLevel is required.feeLevelstringenumRepresents the fee level for a transaction, which can be set as slow, medium, or fast. Only one of fee/feeLevel is required.MEDIUMLOWMEDIUMHIGHAllowed:LOWMEDIUMHIGHtxNotestringThe note to associate with the transactions.HeadersIdempotency-KeystringA unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.Responses 201Claim-rewards request accepted and created. 400Bad request: missing/invalid fields, unsupported amount, or malformed payload. 403Forbidden: insufficient permissions, disabled feature, or restricted provider/validator. 404Not found: requested resource does not exist (e.g., position, validator, provider, or wallet). 429Rate limit exceeded: slow down and retry later. 500Internal error while processing the request. defaultError ResponseUpdated 4 months ago